### Function

# Ide Workbench from_widget

#### Declaration

    IdeWorkbench*
    ide_workbench_from_widget (
      GtkWidget* widget
    )

#### Description

Finds the `IdeWorkbench` associated with a widget.

Available since: | 3.32

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeWorkbench`
| An `IdeWorkbench` or `NULL`.
| The data is owned by the called function.
| The return value can be `NULL`.